### Method

# GtkSource Language get_globs

#### Declaration [src]

    gchar**
    gtk_source_language_get_globs (
      GtkSourceLanguage* language
    )

#### Description [src]

Returns the globs associated to this language.

This is just an utility wrapper around `gtk_source_language_get_metadata()` to retrieve the “globs” metadata property and split it into an array.

#### Return value

Type: An array of `utf8`

a newly-allocated `NULL` terminated array containing the globs or `NULL` if no globs are found. The returned array must be freed with g_strfreev().

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.